org.apache.fop.fo.expr

## Class PropertyParser

- java.lang.Object
- - org.apache.fop.fo.expr.PropertyParser

    public final class PropertyParser
    extends Object

Class to parse XSL-FO property expressions. This class is heavily based on the epxression parser in James Clark's XT, an XSLT processor.

### Field Summary

Fields
`protected int` `currentToken`
`protected String` `currentTokenValue`
`protected int` `currentUnitLength`

### Method Summary

All Methods Static Methods Concrete Methods
`static Property` `parse(String expr, PropertyInfo propInfo)` Public entrypoint to the Property expression parser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentToken

    protected int currentToken

#### currentTokenValue

    protected String currentTokenValue

#### currentUnitLength

    protected int currentUnitLength

### Method Detail

#### parse

    public static Property parse(String expr,
                                 PropertyInfo propInfo)
                          throws PropertyException

Public entrypoint to the Property expression parser.

Parameters:
  `expr` - The specified value (attribute on the xml element).
  `propInfo` - A PropertyInfo object representing the context in which the property expression is to be evaluated.
Returns:
  A Property object holding the parsed result.
Throws:
  `PropertyException` - If the "expr" cannot be parsed as a Property.